<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
const receiptStore = useReceiptStore()
const items = ['Cash', 'PromptPay', 'Credit']
</script>

<template>
  <v-container>
    <v-row no-gutters>
      <v-col cols="12" class="mt-2">
        <v-row>
          <v-col>Totol</v-col>
          <v-col class="text-h12" style="text-align: right"
            >{{ receiptStore.receipt?.total }} ฿</v-col
          >
        </v-row>
      </v-col>

      <v-col cols="12" class="mt-2">
        <v-row align="center">
          <v-col>Discount</v-col>
          <v-col class="text-h12" style="text-align: right"
            >{{ receiptStore.receipt?.discount }} ฿</v-col
          >
        </v-row>
      </v-col>

      <v-col cols="12" class="mt-2">
        <v-row align="end">
          <v-col>Totol Net</v-col>
          <v-col class="text-h12" style="text-align: right"
            >{{ receiptStore.receipt?.net }} ฿</v-col
          >
        </v-row>
      </v-col>

      <hr width="100%" style="margin: 3%" />

      <v-col cols="12" class="mt-2">
        <v-row align="center">
          <v-col>Received Amount</v-col>
          <v-col class="text-h12" style="text-align: right"
            >{{ receiptStore.receipt?.amount }} ฿</v-col
          >
        </v-row> </v-col
      ><v-col cols="12" class="mt-2">
        <v-row align="center">
          <v-col>Change</v-col>
          <v-col class="text-h12" style="text-align: right"
            >{{ receiptStore.receipt?.change }} ฿</v-col
          >
        </v-row>
      </v-col>
    </v-row>
    <v-row> </v-row>
  </v-container>
</template>
